Bug 138115 - (IT#49476) PXE boot hangs on Adaptec 39160 controllers
PXE boot hangs on Adaptec 39160 controllers
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pxe (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 13:38 EST by Steve Conklin
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 20:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2004-11-04 13:38:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
A system hang occurred when attempting to boot a system with an
Adaptec 39160 controller with 2+ HDDs, using the Intel PXE service &
bootloader.

Version-Release number of selected component (if applicable):
pxe-0.1-36

How reproducible:
Always

Steps to Reproduce:
1. Attempt to boot a system with an Adaptec 39160 controller with 2+
HDDs, using the Intel PXE service & bootloader.
2.
3.
    

Actual Results:  system hangs

Additional info:

From IT#49476:

The problem occurs in pxe-linux/nbp.linux/setup.s:
!
! Reprogram 8258s
!
....
mov al, #$FF
out #$21, al

call delay

mov al, #$FB
out #$A1, al

call delay

...

This disables the timer tick interrupt, which is used by the Adaptec
BIOS for detecting timeouts.  The system actually hangs during the
execution of the Linux boot sector code in
/usr/src/arch/i386/boot/setup.S:
start_of_setup:

movw $0x1500, %ax
movb $0x81, %dl
int $0x13

If the whole ! Reprogram 8258s section is deleted from the PXE
bootloader, the system will boot successfully.
Comment 1 Daniel Walsh 2004-11-04 13:46:36 EST
We are trying to discourage the use of the pxe package and instead
rely on dhcp and pxelinux.  Has the customer tried that?

Dan
Comment 2 Frank Hirtz 2004-11-12 12:09:05 EST
They don't disagree with this strategy, but do we have this documented
anywhere they could point clients to which states this?

Note You need to log in before you can comment on or make changes to this bug.